[
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:lore": []
    },
    "conditions": []
  },
  {
  "function": "minecraft:enchant_randomly",
  "options": [
    "ws:speed",
    "ws:power",
    "ws:luck"
  ],
  "only_compatible": true,
  "conditions": []
},
{
  "function": "minecraft:set_custom_data",
  "tag": {
    "enchanted": true
  }
}]